Visualizza: Commuta la selezionabilità

From FreeCAD Documentation
This page is a translated version of the page Std ToggleSelectability and the translation is 100% complete.
Other languages:

Std ToggleSelectability

Posizione nel menu
Visualizza → Visibilita → Commuta la selezionabilità
Ambiente
All
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

Il comando Commuta la selezionabilità commuta la selezionabilità degli oggetti nella Vista 3D.

Utilizzo

  1. Selezionare uno o più oggetti.
  2. Esistono diversi modi per invocare il comando:
    • Selezionare l'opzione Visualizza → Visibilità → Commuta la selezionabilità dal menu.
    • Selezionare l'opzione Commuta la selezionabilità dal menu contestuale Vista ad albero o dal menu contestuale della vista 3D.

Note

  • La selezionabilità di un oggetto può anche essere modificata tramite la relativa proprietà DatiSelectable nel Editor delle proprietà.

Script

Vedere anche: Autogenerated API documentation e Script di base per FreeCAD.

La proprietà Selectable di un oggetto ne determina la selezionabilità.

import FreeCADGui

obj = FreeCADGui.ActiveDocument.myObjectName

obj.Selectable = not obj.Selectable